org.apache.ignite.logger

## Class NullLogger

- java.lang.Object
- - org.apache.ignite.logger.NullLogger

All Implemented Interfaces:
  IgniteLogger

    public class NullLogger
    extends Object
    implements IgniteLogger

Logger which does not output anything.

### Constructor Summary

Constructors
Constructor and Description
`NullLogger()`

### Method Summary

Methods
`void` `debug(String msg)` Logs out debug message.
`void` `error(String msg)` Logs out error message.
`void` `error(String msg, Throwable e)` Logs error message with optional exception.
`String` `fileName()` Gets name of the file being logged to if one is configured or `null` otherwise.
`IgniteLogger` `getLogger(Object ctgr)` Creates new logger with given category based off the current instance.
`void` `info(String msg)` Logs out information message.
`boolean` `isDebugEnabled()` Tests whether `debug` level is enabled.
`boolean` `isInfoEnabled()` Tests whether `info` level is enabled.
`boolean` `isQuiet()` Tests whether `info` and `debug` levels are turned off.
`boolean` `isTraceEnabled()` Tests whether `trace` level is enabled.
`void` `trace(String msg)` Logs out trace message.
`void` `warning(String msg)` Logs out warning message.
`void` `warning(String msg, Throwable e)` Logs out warning message with optional exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullLogger

    public NullLogger()

### Method Detail

#### getLogger

    public IgniteLogger getLogger(Object ctgr)

Creates new logger with given category based off the current instance.

Specified by:
  `getLogger` in interface `IgniteLogger`
Parameters:
  `ctgr` - Category for new logger.
Returns:
  New logger with given category.

#### trace

    public void trace(String msg)

Logs out trace message.

Specified by:
  `trace` in interface `IgniteLogger`
Parameters:
  `msg` - Trace message.

#### debug

    public void debug(String msg)

Logs out debug message.

Specified by:
  `debug` in interface `IgniteLogger`
Parameters:
  `msg` - Debug message.

#### info

    public void info(String msg)

Logs out information message.

Specified by:
  `info` in interface `IgniteLogger`
Parameters:
  `msg` - Information message.

#### warning

    public void warning(String msg)

Logs out warning message.

Specified by:
  `warning` in interface `IgniteLogger`
Parameters:
  `msg` - Warning message.

#### warning

    public void warning(String msg,
               @Nullable
               Throwable e)

Logs out warning message with optional exception.

Specified by:
  `warning` in interface `IgniteLogger`
Parameters:
  `msg` - Warning message.
  `e` - Optional exception (can be `null`).

#### error

    public void error(String msg)

Logs out error message.

Specified by:
  `error` in interface `IgniteLogger`
Parameters:
  `msg` - Error message.

#### error

    public void error(String msg,
             @Nullable
             Throwable e)

Logs error message with optional exception.

Specified by:
  `error` in interface `IgniteLogger`
Parameters:
  `msg` - Error message.
  `e` - Optional exception (can be `null`).

#### isTraceEnabled

    public boolean isTraceEnabled()

Tests whether `trace` level is enabled.

Specified by:
  `isTraceEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `trace` level is enabled, `false` otherwise.

#### isDebugEnabled

    public boolean isDebugEnabled()

Tests whether `debug` level is enabled.

Specified by:
  `isDebugEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `debug` level is enabled, `false` otherwise.

#### isInfoEnabled

    public boolean isInfoEnabled()

Tests whether `info` level is enabled.

Specified by:
  `isInfoEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `info` level is enabled, `false` otherwise.

#### isQuiet

    public boolean isQuiet()

Tests whether `info` and `debug` levels are turned off.

Specified by:
  `isQuiet` in interface `IgniteLogger`
Returns:
  Whether `info` and `debug` levels are turned off.

#### fileName

    @Nullable
    public String fileName()

Gets name of the file being logged to if one is configured or `null` otherwise.

Specified by:
  `fileName` in interface `IgniteLogger`
Returns:
  Name of the file being logged to if one is configured or `null` otherwise.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015